set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="floor1055.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="centreline.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "SECTION" {} ]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      _action=display
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="centreline.str"
    }
  }
}]

set status [ SclFunction "STRING OVER DTM" {
  select_point={
    {
      winx="0.198"
      winy="0.000"
      objectx="11498.578"
      objecty="21673.853"
      objectz="1055.002"
    }
  }
  frm01313={
    {
      _action=display
      dtm_layer="floor1055.dtm"
      interp="Y"
    }
  }
}]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      _action=display
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="centreline.str"
    }
  }
}]

set status [ SclFunction "PLAN" {} ]

set status [ SclFunction "EDGES ON" {} ]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      _action=display
      output_file="surpac2str:centreline_draped"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]
puts ""
puts ""
puts "macro _09b_draping_a_non_spot_height_string_over_a_dtm.tcl completed"
puts ""
